User Documents Markdown API
Platform-linkedPlatform-linked: the key’s login needs an API plan and a website plan with Files; ApiKey only. How this works.
Read extracted markdown from an uploaded file, with optional in-document search. Requires sign-in.
curl -X GET "https://example.com/v2/user/documents/contents?id=string"{ "document_id": "string", "document": { "kind": "filing", "document_id": "string", "parent_id": "string", "filing_id": "string", "source": "sec", "document_type": "string", "filing_type": "string", "published_at": "string", "filed_at": "string", "filename": "string", "backlink_url": "string", "source_url": "string", "source_document_url": "string", "source_filing_url": "string", "sequence": 0, "pages": 0, "is_primary": true, "is_attachment": true, "is_match": true, "display_order": 0, "score": 0, "display": { "title": "string", "type": "string", "type_long": "string", "description": "string", "description_short": "string", "description_secondary": "string", "category": "string" }, "entities": [ { "name": "string", "name_short": "string", "full_ticker": "string", "normalized_ticker": "string", "exchange_code": "string", "composite_code": "string", "backlink_url": "string", "category": "string", "cik": "string", "edinet_code": "string", "lei": "string", "crd_number": "string", "series_id": "string", "internal_id": "string", "figi": "string", "composite_figi": "string", "share_class_figi": "string", "entity_is_public": 0, "is_person": 0, "is_actively_trading": 0, "sec_type": "string", "sec_type2": "string", "market_sector": "string", "generic_sic_code": "string", "score": 0, "resolved": true, "filer_type": "string", "fy": "string", "q": "string" } ], "documents": [ {} ], "parent": { "kind": "filing", "parent_id": "string", "filing_id": "string", "source": "sec", "filing_type": "string", "published_at": "string", "filed_at": "string", "display": { "title": "string", "type": "string", "type_long": "string", "description": "string", "description_short": "string", "description_secondary": "string", "category": "string" } }, "filing": { "parent_id": "string", "parent_type": "string", "source": "sec" }, "excerpts": [ { "text": "string", "chunk_index": 0 } ], "file_type": "string", "parent_folder_id": "string", "is_image": true }, "content": "string", "page": 0, "next_page": 0}Query Parameters
id*Document Id
Document or filing id. SEC accession, accession|chunk, exhibit document_id, EDINET internal filing id or document_id, or an uploaded file id from Document Search. See The Document item.
Length
1 <= length <= 400query?string
Keyword search inside this file. Omit to read sequential chunks from the start.
Length
1 <= length <= 2000max_tokens?integer
Soft cap for this page. About 4 characters per token. Omit to return up to 20 chunks.
Range
1 <= value <= 20000page?integer
1-based page of in-document hits. Default 1. Valid only when query is set.
Range
1 <= value <= 50Default
1Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json